# block\_put

Store input as an IPFS block.

#### REQUEST <a href="#request" id="request"></a>

```bash
curl "https://ipfs.krypc.io:5001/api/v0/block/put?format=v0&mhtype=sha2-256&mhlen=-1" \
    -X POST \
    -u "<API_KEY>:<API_KEY_SECRET>" \
    -H "Content-Type: multipart/form-data" \
    -F file=@"<file>"
```

**REQUEST PARAMS**

* `file` *\[Required]* - The path to a file to be added to IPFS.
* `format` *\[Optional]* - Content ID format for blocks to be created with. The default is `v0`.
* `mhtype` *\[Optional]* - Multihash hash function. The default is `sha2-256`.
* `mhlen` *\[Optional]* - Multihash hash length. The default is `-1`.

#### RESPONSE <a href="#response" id="response"></a>

On success, the call to this endpoint will return with 200 and the following body:

```
{
  "Key": "QmaYL7E4gDTPNfLxrCEEEcNJgcHBJ55NxxTnxpDKWqMtJ3",
  "Size": 2392
}
```

**RESULT FIELDS**

* `Key` - Key of the block.
* `Size` - Integer indication size in bytes.
